MigaLabs Logo

MigaLabs

Blockchain Ecosystem Observatory

Beacon

Get validator activation queue position or full queue

If a pubkey is provided, returns the number of validators that will be activated before the given validator (by pubkey) and the estimated epoch at which it will be activated. If no pubkey is provided, returns the full activation queue as an array.

GET
/eth/v1/beacon/consensus/activation_queue_position
X-Api-Key<token>

API key used for authentication. It provides access to all endpoints.

In: header

Query Parameters

networkstring

Network name

Default"mainnet"
pubkey?string

Validator BLS public key (hex, with or without 0x prefix)

page?integer

Page number

Default0
Range0 <= value
limit?integer

Number of results per page

Default10
Range1 <= value <= 1000

Response Body

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

application/json; charset=utf-8

curl -X GET "https://www.migalabs.io/api/eth/v1/beacon/consensus/activation_queue_position?network=mainnet"
{
  "data": [
    {
      "estimated_activation_epoch": 0,
      "pool_name": "string",
      "position": 0,
      "pubkey": "string"
    }
  ],
  "meta": {
    "limit": 0,
    "network": "string",
    "page": 0,
    "total_count": 0
  }
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}
{
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "parameter": "string"
    }
  ],
  "instance": "string",
  "status": 0,
  "title": "string",
  "type": "string"
}